#/usr/bin/bash

# setup_ssh.sh configures ssh on each node to allow login without
# password from any of provided nodes.

if [ "$1" == "" ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

# first, distributed needed data
./distribute_ssh.sh "$1"

echo 'Generating ssh key.'
while IFS='' read -r line || [[ -n "$line" ]]; do
    echo $line
    ssh -oStrictHostKeyChecking=no -n $line 'echo -e "\ny" | ssh-keygen -t rsa -N ""'
done < "$1"

echo 'Running setup_ssh_local.sh.'
while IFS='' read -r line || [[ -n "$line" ]]; do
    echo $line
    ssh -oStrictHostKeyChecking=no -n $line '/tmp/ssh/setup_ssh_local.sh'
done < "$1"

echo 'Restarting ssh service'
while IFS='' read -r line || [[ -n "$line" ]]; do
    echo $line
    ssh -oStrictHostKeyChecking=no -n $line 'service ssh restart'
done < "$1"

